Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class s2iTransOptions

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--s2iTransOptions

public class s2iTransOptions
extends javax.swing.JDialog

See Also:
  Serialized Form

Inner Class Summary
`(package private) class` | `s2iTransOptions.SymAction`
`(package private) class` | `s2iTransOptions.SymWindow`

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AWTTreeLock`

Field Summary
`(package private) s2iData` | `data`
`(package private) boolean` | `fComponentsAdjusted` Has addNotify readjusted the layout yet?
`(package private) javax.swing.JCheckBox` | `jActiveHighCB`
`(package private) javax.swing.JLabel` | `jBestLabel`
`(package private) javax.swing.JLabel` | `jBlankLabel`
`(package private) javax.swing.JLabel` | `jBlankLabel1`
`(package private) javax.swing.JLabel` | `jBlankLabel2`
`(package private) javax.swing.JComboBox` | `jBufCB`
`(package private) javax.swing.JLabel` | `jBufLabel`
`(package private) javax.swing.JPanel` | `jBufPanel`
`(package private) javax.swing.JComboBox` | `jBufTypeCB`
`(package private) javax.swing.JLabel` | `jBufTypeLabel`
`(package private) javax.swing.JButton` | `jCancel`
`(package private) javax.swing.JTextField` | `jCcompCmaxTF`
`(package private) javax.swing.JTextField` | `jCcompCminTF`
`(package private) javax.swing.JTextField` | `jCcompCtypTF`
`(package private) javax.swing.JLabel` | `jCcompLabel`
`(package private) javax.swing.JTabbedPane` | `jCenterPanel`
`(package private) javax.swing.JLabel` | `jClampTolLabel`
`(package private) javax.swing.JLabel` | `jClampTolLabel2`
`(package private) javax.swing.JPanel` | `jClampTolPanel`
`(package private) javax.swing.JPanel` | `jClampTolRPanel`
`(package private) javax.swing.JTextField` | `jClampTolTF`
`(package private) javax.swing.JCheckBox` | `jCleanupCheckBox`
`(package private) javax.swing.JLabel` | `jCrefLabel`
`(package private) javax.swing.JTextField` | `jCrefTF`
`(package private) javax.swing.JLabel` | `jDelayBlankLabel`
`(package private) javax.swing.JLabel` | `jDelayBlankLabel2`
`(package private) javax.swing.JPanel` | `jDelayPanel`
`(package private) javax.swing.JLabel` | `jDerRampLabel`
`(package private) javax.swing.JLabel` | `jDerRampLabel2`
`(package private) javax.swing.JPanel` | `jDerRampPanel`
`(package private) javax.swing.JPanel` | `jDerRampRPanel`
`(package private) javax.swing.JTextField` | `jDerRampTF`
`(package private) javax.swing.JLabel` | `jDerVILabel`
`(package private) javax.swing.JLabel` | `jDerVILabel2`
`(package private) javax.swing.JPanel` | `jDerVIPanel`
`(package private) javax.swing.JPanel` | `jDerVIRPanel`
`(package private) javax.swing.JTextField` | `jDerVITF`
`(package private) javax.swing.JComboBox` | `jEnNodeCB`
`(package private) javax.swing.JLabel` | `jEnNodeLabel`
`(package private) javax.swing.JPanel` | `jEnNodePanel`
`(package private) javax.swing.JPanel` | `jFallPanel1`
`(package private) javax.swing.JPanel` | `jFallPanel2`
`(package private) javax.swing.JLabel` | `jFallTimeLabel`
`(package private) javax.swing.JTextField` | `jFallTimeTF`
`(package private) javax.swing.JTextField` | `jFwaveCd1TF`
`(package private) javax.swing.JTextField` | `jFwaveCd2TF`
`(package private) javax.swing.JTextField` | `jFwaveCf1TF`
`(package private) javax.swing.JTextField` | `jFwaveCf2TF`
`(package private) javax.swing.JTextField` | `jFwaveLd1TF`
`(package private) javax.swing.JTextField` | `jFwaveLd2TF`
`(package private) javax.swing.JTextField` | `jFwaveLf1TF`
`(package private) javax.swing.JTextField` | `jFwaveLf2TF`
`(package private) javax.swing.JTextField` | `jFwaveRd1TF`
`(package private) javax.swing.JTextField` | `jFwaveRd2TF`
`(package private) javax.swing.JTextField` | `jFwaveRf1TF`
`(package private) javax.swing.JTextField` | `jFwaveRf2TF`
`(package private) javax.swing.JTextField` | `jFwaveVf1TF`
`(package private) javax.swing.JTextField` | `jFwaveVf2TF`
`(package private) javax.swing.JTextField` | `jFwaveVfMax1TF`
`(package private) javax.swing.JTextField` | `jFwaveVfMax2TF`
`(package private) javax.swing.JTextField` | `jFwaveVfMin1TF`
`(package private) javax.swing.JTextField` | `jFwaveVfMin2TF`
`(package private) javax.swing.JLabel` | `jGClampLabel`
`(package private) javax.swing.JTextField` | `jGclampVmaxTF`
`(package private) javax.swing.JTextField` | `jGclampVminTF`
`(package private) javax.swing.JTextField` | `jGclampVtypTF`
`(package private) javax.swing.JComboBox` | `jGndNodeCB`
`(package private) javax.swing.JLabel` | `jGndNodeLabel`
`(package private) javax.swing.JPanel` | `jGndNodePanel`
`(package private) javax.swing.JButton` | `jHelp`
`(package private) javax.swing.JLabel` | `jHighVLabel`
`(package private) javax.swing.JLabel` | `jHiThreshLabel`
`(package private) javax.swing.JTextField` | `jHiThreshMaxTF`
`(package private) javax.swing.JTextField` | `jHiThreshMinTF`
`(package private) javax.swing.JTextField` | `jHiThreshTypTF`
`(package private) javax.swing.JLabel` | `jIbisNmLabel`
`(package private) javax.swing.JPanel` | `jIbisNmPanel`
`(package private) javax.swing.JTextField` | `jIbisTF`
`(package private) javax.swing.JButton` | `jImportButton`
`(package private) javax.swing.JComboBox` | `jInNodeCB`
`(package private) javax.swing.JLabel` | `jInNodeLabel`
`(package private) javax.swing.JPanel` | `jInNodePanel`
`(package private) javax.swing.JCheckBox` | `jIterateCheckBox`
`(package private) javax.swing.JLabel` | `jLabel1`
`(package private) javax.swing.JLabel` | `jLabel10`
`(package private) javax.swing.JLabel` | `jLabel11`
`(package private) javax.swing.JLabel` | `jLabel12`
`(package private) javax.swing.JLabel` | `jLabel13`
`(package private) javax.swing.JLabel` | `jLabel14`
`(package private) javax.swing.JLabel` | `jLabel15`
`(package private) javax.swing.JLabel` | `jLabel16`
`(package private) javax.swing.JLabel` | `jLabel17`
`(package private) javax.swing.JLabel` | `jLabel18`
`(package private) javax.swing.JLabel` | `jLabel19`
`(package private) javax.swing.JLabel` | `jLabel2`
`(package private) javax.swing.JLabel` | `jLabel20`
`(package private) javax.swing.JLabel` | `jLabel21`
`(package private) javax.swing.JLabel` | `jLabel22`
`(package private) javax.swing.JLabel` | `jLabel23`
`(package private) javax.swing.JLabel` | `jLabel24`
`(package private) javax.swing.JLabel` | `jLabel25`
`(package private) javax.swing.JLabel` | `jLabel26`
`(package private) javax.swing.JLabel` | `jLabel27`
`(package private) javax.swing.JLabel` | `jLabel28`
`(package private) javax.swing.JLabel` | `jLabel29`
`(package private) javax.swing.JLabel` | `jLabel3`
`(package private) javax.swing.JLabel` | `jLabel30`
`(package private) javax.swing.JLabel` | `jLabel31`
`(package private) javax.swing.JLabel` | `jLabel32`
`(package private) javax.swing.JLabel` | `jLabel33`
`(package private) javax.swing.JLabel` | `jLabel34`
`(package private) javax.swing.JLabel` | `jLabel35`
`(package private) javax.swing.JLabel` | `jLabel36`
`(package private) javax.swing.JLabel` | `jLabel37`
`(package private) javax.swing.JLabel` | `jLabel38`
`(package private) javax.swing.JLabel` | `jLabel39`
`(package private) javax.swing.JLabel` | `jLabel4`
`(package private) javax.swing.JLabel` | `jLabel40`
`(package private) javax.swing.JLabel` | `jLabel41`
`(package private) javax.swing.JLabel` | `jLabel42`
`(package private) javax.swing.JLabel` | `jLabel43`
`(package private) javax.swing.JLabel` | `jLabel44`
`(package private) javax.swing.JLabel` | `jLabel45`
`(package private) javax.swing.JLabel` | `jLabel46`
`(package private) javax.swing.JLabel` | `jLabel47`
`(package private) javax.swing.JLabel` | `jLabel48`
`(package private) javax.swing.JLabel` | `jLabel49`
`(package private) javax.swing.JLabel` | `jLabel5`
`(package private) javax.swing.JLabel` | `jLabel50`
`(package private) javax.swing.JLabel` | `jLabel51`
`(package private) javax.swing.JLabel` | `jLabel52`
`(package private) javax.swing.JLabel` | `jLabel6`
`(package private) javax.swing.JLabel` | `jLabel7`
`(package private) javax.swing.JLabel` | `jLabel8`
`(package private) javax.swing.JLabel` | `jLabel9`
`(package private) javax.swing.JPanel` | `jLeftNodePanel`
`(package private) javax.swing.JTextField` | `jLoThreshMaxTF`
`(package private) javax.swing.JTextField` | `jLoThreshMinTF`
`(package private) javax.swing.JTextField` | `jLoThreshTypTF`
`(package private) javax.swing.JLabel` | `jLowThreshLabel`
`(package private) javax.swing.JLabel` | `jLowVLabel`
`(package private) javax.swing.JPanel` | `jLPostProcPanel`
`(package private) javax.swing.JLabel` | `jMaxLabel`
`(package private) javax.swing.JLabel` | `jMaxLabel13`
`(package private) javax.swing.JLabel` | `jMaxLabel2`
`(package private) javax.swing.JLabel` | `jMinLabel`
`(package private) javax.swing.JLabel` | `jMinLabel13`
`(package private) javax.swing.JLabel` | `jMinLabel2`
`(package private) javax.swing.JPanel` | `jModePanel`
`(package private) javax.swing.JPanel` | `jModInfoPanel`
`(package private) javax.swing.JPanel` | `jModInfoPanel1`
`(package private) javax.swing.JPanel` | `jModInfoPanel2`
`(package private) javax.swing.JPanel` | `jModInfoPanel3`
`(package private) javax.swing.JPanel` | `jModInfoPanel4`
`(package private) javax.swing.JPanel` | `jNEDelayPanel`
`(package private) javax.swing.JPanel` | `jNodePanel`
`(package private) javax.swing.JPanel` | `jNorthModePanel`
`(package private) javax.swing.JPanel` | `jNorthPanel`
`(package private) javax.swing.JPanel` | `jNotePanel`
`(package private) javax.swing.JPanel` | `jNWDelayPanel`
`(package private) javax.swing.JButton` | `jOK`
`(package private) javax.swing.JPanel` | `jPanel1`
`(package private) javax.swing.JPanel` | `jPanel2`
`(package private) javax.swing.JPanel` | `jPanel3`
`(package private) javax.swing.JPanel` | `jPanel4`
`(package private) javax.swing.JPanel` | `jPanel5`
`(package private) javax.swing.JPanel` | `jPanel6`
`(package private) javax.swing.JTextField` | `jPclampVmaxTF`
`(package private) javax.swing.JTextField` | `jPclampVminTF`
`(package private) javax.swing.JTextField` | `jPclampVtypTF`
`(package private) javax.swing.JCheckBox` | `jPolarityCB`
`(package private) javax.swing.JPanel` | `jPostProcPanel`
`(package private) javax.swing.JComboBox` | `jPowNodeCB`
`(package private) javax.swing.JLabel` | `jPowNodeLabel`
`(package private) javax.swing.JPanel` | `jPowNodePanel`
`(package private) javax.swing.JTextField` | `jPulldnVmaxTF`
`(package private) javax.swing.JTextField` | `jPulldnVminTF`
`(package private) javax.swing.JTextField` | `jPulldnVtypTF`
`(package private) javax.swing.JTextField` | `jPullupVmaxTF`
`(package private) javax.swing.JTextField` | `jPullupVminTF`
`(package private) javax.swing.JTextField` | `jPullupVtypTF`
`(package private) javax.swing.JPanel` | `jRangePanel`
`(package private) javax.swing.JPanel` | `jRefPanel`
`(package private) javax.swing.JPanel` | `jRightNodePanel`
`(package private) javax.swing.JPanel` | `jRisePanel1`
`(package private) javax.swing.JPanel` | `jRisePanel2`
`(package private) javax.swing.JLabel` | `jRiseTimeLabel`
`(package private) javax.swing.JTextField` | `jRiseTimeTF`
`(package private) javax.swing.JLabel` | `jRLoadLabel`
`(package private) javax.swing.JLabel` | `jRLoadLabel2`
`(package private) javax.swing.JLabel` | `jRLoadLabel3`
`(package private) javax.swing.JLabel` | `jRLoadLabel4`
`(package private) javax.swing.JLabel` | `jRLoadLabel5`
`(package private) javax.swing.JPanel` | `jRLoadNorthPanel`
`(package private) javax.swing.JPanel` | `jRLoadPanel`
`(package private) javax.swing.JTextField` | `jRloadTF`
`(package private) javax.swing.JPanel` | `jRPostProcPanel`
`(package private) javax.swing.JLabel` | `jRrefLabel`
`(package private) javax.swing.JTextField` | `jRrefTF`
`(package private) javax.swing.JTextField` | `jRwaveCd1TF`
`(package private) javax.swing.JTextField` | `jRwaveCd2TF`
`(package private) javax.swing.JTextField` | `jRwaveCf1TF`
`(package private) javax.swing.JTextField` | `jRwaveCf2TF`
`(package private) javax.swing.JTextField` | `jRwaveLd1TF`
`(package private) javax.swing.JTextField` | `jRwaveLd2TF`
`(package private) javax.swing.JTextField` | `jRwaveLf1TF`
`(package private) javax.swing.JTextField` | `jRwaveLf2TF`
`(package private) javax.swing.JTextField` | `jRwaveRd1TF`
`(package private) javax.swing.JTextField` | `jRwaveRd2TF`
`(package private) javax.swing.JTextField` | `jRwaveRf1TF`
`(package private) javax.swing.JTextField` | `jRwaveRf2TF`
`(package private) javax.swing.JTextField` | `jRwaveVf1TF`
`(package private) javax.swing.JTextField` | `jRwaveVf2TF`
`(package private) javax.swing.JTextField` | `jRwaveVfMax1TF`
`(package private) javax.swing.JTextField` | `jRwaveVfMax2TF`
`(package private) javax.swing.JTextField` | `jRwaveVfMin1TF`
`(package private) javax.swing.JTextField` | `jRwaveVfMin2TF`
`(package private) javax.swing.JLabel` | `jSimTimeLabel`
`(package private) javax.swing.JTextField` | `jSimTimeTF`
`(package private) javax.swing.JPanel` | `jSouthDelayPanel`
`(package private) javax.swing.JPanel` | `jSouthPanel`
`(package private) javax.swing.JLabel` | `jSpiceTypeLabel`
`(package private) javax.swing.JTextField` | `jSpiceTypeTF`
`(package private) javax.swing.JPanel` | `jStim11Panel`
`(package private) javax.swing.JPanel` | `jStim12Panel`
`(package private) javax.swing.JPanel` | `jStim21Panel`
`(package private) javax.swing.JPanel` | `jStim22Panel`
`(package private) javax.swing.JPanel` | `jStimulusPanel`
`(package private) javax.swing.JCheckBox` | `jSummaryCheckBox`
`(package private) javax.swing.JPanel` | `jTBWPanel`
`(package private) javax.swing.JTextField` | `jTempTmaxTF`
`(package private) javax.swing.JTextField` | `jTempTminTF`
`(package private) javax.swing.JTextField` | `jTempTtypTF`
`(package private) javax.swing.JTextPane` | `jTextPane1`
`(package private) javax.swing.JPanel` | `jTOpPanel`
`(package private) javax.swing.JLabel` | `jTRangeLabel`
`(package private) javax.swing.JPanel` | `jTRangePanel`
`(package private) javax.swing.JLabel` | `jTypLabel`
`(package private) javax.swing.JLabel` | `jTypLabel1`
`(package private) javax.swing.JLabel` | `jTypLabel2`
`(package private) javax.swing.JLabel` | `jTypLabel3`
`(package private) javax.swing.JTextField` | `jVihTF`
`(package private) javax.swing.JTextField` | `jVilTF`
`(package private) javax.swing.JLabel` | `jVmeasLabel`
`(package private) javax.swing.JTextField` | `jVmeasTF`
`(package private) javax.swing.JPanel` | `jVOpPanel`
`(package private) javax.swing.JLabel` | `jVrefLabel`
`(package private) javax.swing.JTextField` | `jVrefTF`
`(package private) javax.swing.JLabel` | `jVRLabel`
`(package private) javax.swing.JTextField` | `jVRMaxTextField`
`(package private) javax.swing.JTextField` | `jVRMinTextField`
`(package private) javax.swing.JTextField` | `jVRTypTextField`
`(package private) javax.swing.JPanel` | `jVT1BlankPanel`
`(package private) javax.swing.JPanel` | `jVT1Panel`
`(package private) javax.swing.JPanel` | `jVT2BlankPanel`
`(package private) javax.swing.JPanel` | `jVT2Panel`
`(package private) javax.swing.JLabel` | `jWorstLabel`
`(package private) java.awt.Component` | `parent` handle so we can block the parent window while we are visible
`(package private) java.lang.StringBuffer` | `prevActiveHigh`
`(package private) java.lang.StringBuffer` | `prevEnableNd`
`(package private) java.lang.StringBuffer` | `prevFallTime`
`(package private) java.lang.StringBuffer` | `prevHiThreshTyp`
`(package private) java.lang.StringBuffer` | `prevInputNd`
`(package private) java.lang.StringBuffer` | `prevLoThreshTyp`
`(package private) java.lang.StringBuffer` | `prevNonInvert`
`(package private) java.lang.StringBuffer` | `prevRiseTime`
`(package private) java.lang.StringBuffer` | `prevSimTime`
`(package private) java.lang.StringBuffer` | `prevVih`
`(package private) java.lang.StringBuffer` | `prevVil`

Fields inherited from class javax.swing.JDialog
`accessibleContext, defaultCloseOperation, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`base, modal, nameCounter, resizable, serialVersionUID, title`

Fields inherited from class java.awt.Window
`active, base, focusMgr, inputContext, nameCounter, OPENED, ownedWindowList, serialVersionUID, state, warningString, weakThis, windowListener, windowSerializedDataVersion`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dispatcher, layoutMgr, maxSize, ncomponents, serialVersionUID`

Fields inherited from class java.awt.Component
`actionListenerK, adjustmentListenerK, appContext, assert, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, changeSupport, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, hasFocus, height, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, RIGHT_ALIGNMENT, serialVersionUID, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowListenerK, x, y`

Constructor Summary
`s2iTransOptions()`
`s2iTransOptions(java.awt.Component parent)` Constructor with a specified parent window.
`s2iTransOptions(java.lang.String sTitle)`

Method Summary
`void` | `addNotify()`
`private void` | `checkBoxDisable(javax.swing.JCheckBox chb, java.lang.StringBuffer bakup)`
`private void` | `checkBoxEnable(javax.swing.JCheckBox chb, java.lang.StringBuffer bakup)`
`private void` | `comboDisable(javax.swing.JComboBox cb, java.lang.StringBuffer bakup)`
`private void` | `comboEnable(javax.swing.JComboBox cb, java.lang.StringBuffer bakup)`
`(package private) void` | `createTreeData(javax.swing.tree.DefaultMutableTreeNode top)`
`(package private) void` | `FillUIValues(s2iData data)`
`(package private) void` | `getUIValues(s2iData data)`
`(package private) void` | `importFile(java.lang.String fileName)`
`(package private) void` | `jBufTypeCB_actionPerformed(java.awt.event.ActionEvent event)`
`(package private) void` | `jCancel_actionPerformed(java.awt.event.ActionEvent event)`
`(package private) void` | `JDialog1_WindowClosing(java.awt.event.WindowEvent event)`
`(package private) void` | `jImportButton_actionPerformed(java.awt.event.ActionEvent event)`
`(package private) void` | `jOK_actionPerformed(java.awt.event.ActionEvent event)`
`static void` | `main(java.lang.String[] args)`
`private void` | `OnBufTypeSelection()`
`void` | `setVisible(boolean b)`
`private void` | `textFieldDisable(javax.swing.JTextField tf, java.lang.StringBuffer bakup)`
`private void` | `textFieldEnable(javax.swing.JTextField tf, java.lang.StringBuffer bakup)`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, createRootPaneException, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processWindowEvent, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`, constructComponentName, getTitle, initIDs, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addOwnedWindow, addWindowListener, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, dispose, eventEnabled, finalize, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isActive, isShowing, nextFocus, ownedInit, pack, postEvent, postProcessKeyEvent, postWindowEvent, preProcessKeyEvent, processEvent, readObject, removeOwnedWindow, removeWindowListener, setFocusOwner, setWarningString, toBack, toFront, transferFocus, writeObject`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyOrientation, countComponents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPrint, list, list, locate, minimumSize, paint, paintComponents, postsOldMouseEvents, preferredSize, print, printComponents, printOneComponent, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getWindowForObject, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### fComponentsAdjusted

    boolean fComponentsAdjusted

  Has addNotify readjusted the layout yet?

### parent

    java.awt.Component parent

  handle so we can block the parent window while we are visible

### jNorthPanel

    javax.swing.JPanel jNorthPanel

### jCenterPanel

    javax.swing.JTabbedPane jCenterPanel

### jSouthPanel

    javax.swing.JPanel jSouthPanel

### jBufTypeLabel

    javax.swing.JLabel jBufTypeLabel

### jBufTypeCB

    javax.swing.JComboBox jBufTypeCB

### jPanel4

    javax.swing.JPanel jPanel4

### jImportButton

    javax.swing.JButton jImportButton

### jOK

    javax.swing.JButton jOK

### jCancel

    javax.swing.JButton jCancel

### jHelp

    javax.swing.JButton jHelp

### jModePanel

    javax.swing.JPanel jModePanel

### jNorthModePanel

    javax.swing.JPanel jNorthModePanel

### jSpiceTypeLabel

    javax.swing.JLabel jSpiceTypeLabel

### jSpiceTypeTF

    javax.swing.JTextField jSpiceTypeTF

### jIterateCheckBox

    javax.swing.JCheckBox jIterateCheckBox

### jCleanupCheckBox

    javax.swing.JCheckBox jCleanupCheckBox

### jSummaryCheckBox

    javax.swing.JCheckBox jSummaryCheckBox

### jVOpPanel

    javax.swing.JPanel jVOpPanel

### jLabel1

    javax.swing.JLabel jLabel1

### jRangePanel

    javax.swing.JPanel jRangePanel

### jBlankLabel

    javax.swing.JLabel jBlankLabel

### jTypLabel

    javax.swing.JLabel jTypLabel

### jMinLabel

    javax.swing.JLabel jMinLabel

### jMaxLabel

    javax.swing.JLabel jMaxLabel

### jVRLabel

    javax.swing.JLabel jVRLabel

### jVRTypTextField

    javax.swing.JTextField jVRTypTextField

### jVRMinTextField

    javax.swing.JTextField jVRMinTextField

### jVRMaxTextField

    javax.swing.JTextField jVRMaxTextField

### jRefPanel

    javax.swing.JPanel jRefPanel

### jLabel5

    javax.swing.JLabel jLabel5

### jLabel2

    javax.swing.JLabel jLabel2

### jLabel3

    javax.swing.JLabel jLabel3

### jLabel4

    javax.swing.JLabel jLabel4

### jLabel6

    javax.swing.JLabel jLabel6

### jPullupVtypTF

    javax.swing.JTextField jPullupVtypTF

### jPullupVminTF

    javax.swing.JTextField jPullupVminTF

### jPullupVmaxTF

    javax.swing.JTextField jPullupVmaxTF

### jLabel7

    javax.swing.JLabel jLabel7

### jPulldnVtypTF

    javax.swing.JTextField jPulldnVtypTF

### jPulldnVminTF

    javax.swing.JTextField jPulldnVminTF

### jPulldnVmaxTF

    javax.swing.JTextField jPulldnVmaxTF

### jLabel8

    javax.swing.JLabel jLabel8

### jPclampVtypTF

    javax.swing.JTextField jPclampVtypTF

### jPclampVminTF

    javax.swing.JTextField jPclampVminTF

### jPclampVmaxTF

    javax.swing.JTextField jPclampVmaxTF

### jGClampLabel

    javax.swing.JLabel jGClampLabel

### jGclampVtypTF

    javax.swing.JTextField jGclampVtypTF

### jGclampVminTF

    javax.swing.JTextField jGclampVminTF

### jGclampVmaxTF

    javax.swing.JTextField jGclampVmaxTF

### jPanel3

    javax.swing.JPanel jPanel3

### jTOpPanel

    javax.swing.JPanel jTOpPanel

### jTRangePanel

    javax.swing.JPanel jTRangePanel

### jPanel2

    javax.swing.JPanel jPanel2

### jTRangeLabel

    javax.swing.JLabel jTRangeLabel

### jTBWPanel

    javax.swing.JPanel jTBWPanel

### jTypLabel1

    javax.swing.JLabel jTypLabel1

### jBestLabel

    javax.swing.JLabel jBestLabel

### jWorstLabel

    javax.swing.JLabel jWorstLabel

### jTempTtypTF

    javax.swing.JTextField jTempTtypTF

### jTempTminTF

    javax.swing.JTextField jTempTminTF

### jTempTmaxTF

    javax.swing.JTextField jTempTmaxTF

### jNotePanel

    javax.swing.JPanel jNotePanel

### jTextPane1

    javax.swing.JTextPane jTextPane1

### jStimulusPanel

    javax.swing.JPanel jStimulusPanel

### jPanel5

    javax.swing.JPanel jPanel5

### jSimTimeLabel

    javax.swing.JLabel jSimTimeLabel

### jSimTimeTF

    javax.swing.JTextField jSimTimeTF

### jPanel1

    javax.swing.JPanel jPanel1

### jStim11Panel

    javax.swing.JPanel jStim11Panel

### jRiseTimeLabel

    javax.swing.JLabel jRiseTimeLabel

### jRiseTimeTF

    javax.swing.JTextField jRiseTimeTF

### jStim12Panel

    javax.swing.JPanel jStim12Panel

### jFallTimeLabel

    javax.swing.JLabel jFallTimeLabel

### jFallTimeTF

    javax.swing.JTextField jFallTimeTF

### jStim21Panel

    javax.swing.JPanel jStim21Panel

### jLowVLabel

    javax.swing.JLabel jLowVLabel

### jVilTF

    javax.swing.JTextField jVilTF

### jStim22Panel

    javax.swing.JPanel jStim22Panel

### jHighVLabel

    javax.swing.JLabel jHighVLabel

### jVihTF

    javax.swing.JTextField jVihTF

### jPanel6

    javax.swing.JPanel jPanel6

### jNodePanel

    javax.swing.JPanel jNodePanel

### jLeftNodePanel

    javax.swing.JPanel jLeftNodePanel

### jIbisNmPanel

    javax.swing.JPanel jIbisNmPanel

### jIbisNmLabel

    javax.swing.JLabel jIbisNmLabel

### jIbisTF

    javax.swing.JTextField jIbisTF

### jBufPanel

    javax.swing.JPanel jBufPanel

### jBufLabel

    javax.swing.JLabel jBufLabel

### jBufCB

    javax.swing.JComboBox jBufCB

### jPowNodePanel

    javax.swing.JPanel jPowNodePanel

### jPowNodeLabel

    javax.swing.JLabel jPowNodeLabel

### jPowNodeCB

    javax.swing.JComboBox jPowNodeCB

### jGndNodePanel

    javax.swing.JPanel jGndNodePanel

### jGndNodeLabel

    javax.swing.JLabel jGndNodeLabel

### jGndNodeCB

    javax.swing.JComboBox jGndNodeCB

### jInNodePanel

    javax.swing.JPanel jInNodePanel

### jInNodeLabel

    javax.swing.JLabel jInNodeLabel

### jInNodeCB

    javax.swing.JComboBox jInNodeCB

### jEnNodePanel

    javax.swing.JPanel jEnNodePanel

### jEnNodeLabel

    javax.swing.JLabel jEnNodeLabel

### jEnNodeCB

    javax.swing.JComboBox jEnNodeCB

### jRightNodePanel

    javax.swing.JPanel jRightNodePanel

### jModInfoPanel

    javax.swing.JPanel jModInfoPanel

### jModInfoPanel1

    javax.swing.JPanel jModInfoPanel1

### jBlankLabel1

    javax.swing.JLabel jBlankLabel1

### jTypLabel2

    javax.swing.JLabel jTypLabel2

### jMinLabel2

    javax.swing.JLabel jMinLabel2

### jMaxLabel2

    javax.swing.JLabel jMaxLabel2

### jLowThreshLabel

    javax.swing.JLabel jLowThreshLabel

### jLoThreshTypTF

    javax.swing.JTextField jLoThreshTypTF

### jLoThreshMinTF

    javax.swing.JTextField jLoThreshMinTF

### jLoThreshMaxTF

    javax.swing.JTextField jLoThreshMaxTF

### jHiThreshLabel

    javax.swing.JLabel jHiThreshLabel

### jHiThreshTypTF

    javax.swing.JTextField jHiThreshTypTF

### jHiThreshMinTF

    javax.swing.JTextField jHiThreshMinTF

### jHiThreshMaxTF

    javax.swing.JTextField jHiThreshMaxTF

### jModInfoPanel2

    javax.swing.JPanel jModInfoPanel2

### jBlankLabel2

    javax.swing.JLabel jBlankLabel2

### jTypLabel3

    javax.swing.JLabel jTypLabel3

### jMinLabel13

    javax.swing.JLabel jMinLabel13

### jMaxLabel13

    javax.swing.JLabel jMaxLabel13

### jCcompLabel

    javax.swing.JLabel jCcompLabel

### jCcompCtypTF

    javax.swing.JTextField jCcompCtypTF

### jCcompCminTF

    javax.swing.JTextField jCcompCminTF

### jCcompCmaxTF

    javax.swing.JTextField jCcompCmaxTF

### jModInfoPanel3

    javax.swing.JPanel jModInfoPanel3

### jPolarityCB

    javax.swing.JCheckBox jPolarityCB

### jActiveHighCB

    javax.swing.JCheckBox jActiveHighCB

### jModInfoPanel4

    javax.swing.JPanel jModInfoPanel4

### jDelayPanel

    javax.swing.JPanel jDelayPanel

### jNWDelayPanel

    javax.swing.JPanel jNWDelayPanel

### jDelayBlankLabel

    javax.swing.JLabel jDelayBlankLabel

### jDelayBlankLabel2

    javax.swing.JLabel jDelayBlankLabel2

### jVmeasLabel

    javax.swing.JLabel jVmeasLabel

### jVmeasTF

    javax.swing.JTextField jVmeasTF

### jVrefLabel

    javax.swing.JLabel jVrefLabel

### jVrefTF

    javax.swing.JTextField jVrefTF

### jCrefLabel

    javax.swing.JLabel jCrefLabel

### jCrefTF

    javax.swing.JTextField jCrefTF

### jRrefLabel

    javax.swing.JLabel jRrefLabel

### jRrefTF

    javax.swing.JTextField jRrefTF

### jNEDelayPanel

    javax.swing.JPanel jNEDelayPanel

### jSouthDelayPanel

    javax.swing.JPanel jSouthDelayPanel

### jVT1Panel

    javax.swing.JPanel jVT1Panel

### jRisePanel1

    javax.swing.JPanel jRisePanel1

### jLabel31

    javax.swing.JLabel jLabel31

### jLabel32

    javax.swing.JLabel jLabel32

### jLabel33

    javax.swing.JLabel jLabel33

### jLabel34

    javax.swing.JLabel jLabel34

### jLabel35

    javax.swing.JLabel jLabel35

### jRwaveVf1TF

    javax.swing.JTextField jRwaveVf1TF

### jRwaveVfMin1TF

    javax.swing.JTextField jRwaveVfMin1TF

### jRwaveVfMax1TF

    javax.swing.JTextField jRwaveVfMax1TF

### jLabel36

    javax.swing.JLabel jLabel36

### jLabel37

    javax.swing.JLabel jLabel37

### jLabel38

    javax.swing.JLabel jLabel38

### jLabel39

    javax.swing.JLabel jLabel39

### jLabel40

    javax.swing.JLabel jLabel40

### jRwaveRf1TF

    javax.swing.JTextField jRwaveRf1TF

### jRwaveLf1TF

    javax.swing.JTextField jRwaveLf1TF

### jRwaveCf1TF

    javax.swing.JTextField jRwaveCf1TF

### jLabel41

    javax.swing.JLabel jLabel41

### jRwaveRd1TF

    javax.swing.JTextField jRwaveRd1TF

### jRwaveLd1TF

    javax.swing.JTextField jRwaveLd1TF

### jRwaveCd1TF

    javax.swing.JTextField jRwaveCd1TF

### jFallPanel1

    javax.swing.JPanel jFallPanel1

### jLabel42

    javax.swing.JLabel jLabel42

### jLabel43

    javax.swing.JLabel jLabel43

### jLabel44

    javax.swing.JLabel jLabel44

### jLabel45

    javax.swing.JLabel jLabel45

### jLabel46

    javax.swing.JLabel jLabel46

### jFwaveVf1TF

    javax.swing.JTextField jFwaveVf1TF

### jFwaveVfMin1TF

    javax.swing.JTextField jFwaveVfMin1TF

### jFwaveVfMax1TF

    javax.swing.JTextField jFwaveVfMax1TF

### jLabel47

    javax.swing.JLabel jLabel47

### jLabel48

    javax.swing.JLabel jLabel48

### jLabel49

    javax.swing.JLabel jLabel49

### jLabel50

    javax.swing.JLabel jLabel50

### jLabel51

    javax.swing.JLabel jLabel51

### jFwaveRf1TF

    javax.swing.JTextField jFwaveRf1TF

### jFwaveLf1TF

    javax.swing.JTextField jFwaveLf1TF

### jFwaveCf1TF

    javax.swing.JTextField jFwaveCf1TF

### jLabel52

    javax.swing.JLabel jLabel52

### jFwaveRd1TF

    javax.swing.JTextField jFwaveRd1TF

### jFwaveLd1TF

    javax.swing.JTextField jFwaveLd1TF

### jFwaveCd1TF

    javax.swing.JTextField jFwaveCd1TF

### jVT1BlankPanel

    javax.swing.JPanel jVT1BlankPanel

### jVT2Panel

    javax.swing.JPanel jVT2Panel

### jRisePanel2

    javax.swing.JPanel jRisePanel2

### jLabel9

    javax.swing.JLabel jLabel9

### jLabel10

    javax.swing.JLabel jLabel10

### jLabel11

    javax.swing.JLabel jLabel11

### jLabel12

    javax.swing.JLabel jLabel12

### jLabel13

    javax.swing.JLabel jLabel13

### jRwaveVf2TF

    javax.swing.JTextField jRwaveVf2TF

### jRwaveVfMin2TF

    javax.swing.JTextField jRwaveVfMin2TF

### jRwaveVfMax2TF

    javax.swing.JTextField jRwaveVfMax2TF

### jLabel14

    javax.swing.JLabel jLabel14

### jLabel15

    javax.swing.JLabel jLabel15

### jLabel16

    javax.swing.JLabel jLabel16

### jLabel17

    javax.swing.JLabel jLabel17

### jLabel18

    javax.swing.JLabel jLabel18

### jRwaveRf2TF

    javax.swing.JTextField jRwaveRf2TF

### jRwaveLf2TF

    javax.swing.JTextField jRwaveLf2TF

### jRwaveCf2TF

    javax.swing.JTextField jRwaveCf2TF

### jLabel19

    javax.swing.JLabel jLabel19

### jRwaveRd2TF

    javax.swing.JTextField jRwaveRd2TF

### jRwaveLd2TF

    javax.swing.JTextField jRwaveLd2TF

### jRwaveCd2TF

    javax.swing.JTextField jRwaveCd2TF

### jFallPanel2

    javax.swing.JPanel jFallPanel2

### jLabel20

    javax.swing.JLabel jLabel20

### jLabel21

    javax.swing.JLabel jLabel21

### jLabel22

    javax.swing.JLabel jLabel22

### jLabel23

    javax.swing.JLabel jLabel23

### jLabel24

    javax.swing.JLabel jLabel24

### jFwaveVf2TF

    javax.swing.JTextField jFwaveVf2TF

### jFwaveVfMin2TF

    javax.swing.JTextField jFwaveVfMin2TF

### jFwaveVfMax2TF

    javax.swing.JTextField jFwaveVfMax2TF

### jLabel25

    javax.swing.JLabel jLabel25

### jLabel26

    javax.swing.JLabel jLabel26

### jLabel27

    javax.swing.JLabel jLabel27

### jLabel28

    javax.swing.JLabel jLabel28

### jLabel29

    javax.swing.JLabel jLabel29

### jFwaveRf2TF

    javax.swing.JTextField jFwaveRf2TF

### jFwaveLf2TF

    javax.swing.JTextField jFwaveLf2TF

### jFwaveCf2TF

    javax.swing.JTextField jFwaveCf2TF

### jLabel30

    javax.swing.JLabel jLabel30

### jFwaveRd2TF

    javax.swing.JTextField jFwaveRd2TF

### jFwaveLd2TF

    javax.swing.JTextField jFwaveLd2TF

### jFwaveCd2TF

    javax.swing.JTextField jFwaveCd2TF

### jVT2BlankPanel

    javax.swing.JPanel jVT2BlankPanel

### jRLoadPanel

    javax.swing.JPanel jRLoadPanel

### jRLoadNorthPanel

    javax.swing.JPanel jRLoadNorthPanel

### jRLoadLabel

    javax.swing.JLabel jRLoadLabel

### jRloadTF

    javax.swing.JTextField jRloadTF

### jRLoadLabel2

    javax.swing.JLabel jRLoadLabel2

### jRLoadLabel3

    javax.swing.JLabel jRLoadLabel3

### jRLoadLabel4

    javax.swing.JLabel jRLoadLabel4

### jRLoadLabel5

    javax.swing.JLabel jRLoadLabel5

### jPostProcPanel

    javax.swing.JPanel jPostProcPanel

### jLPostProcPanel

    javax.swing.JPanel jLPostProcPanel

### jDerVIPanel

    javax.swing.JPanel jDerVIPanel

### jDerVILabel

    javax.swing.JLabel jDerVILabel

### jDerVIRPanel

    javax.swing.JPanel jDerVIRPanel

### jDerVITF

    javax.swing.JTextField jDerVITF

### jDerVILabel2

    javax.swing.JLabel jDerVILabel2

### jDerRampPanel

    javax.swing.JPanel jDerRampPanel

### jDerRampLabel

    javax.swing.JLabel jDerRampLabel

### jDerRampRPanel

    javax.swing.JPanel jDerRampRPanel

### jDerRampTF

    javax.swing.JTextField jDerRampTF

### jDerRampLabel2

    javax.swing.JLabel jDerRampLabel2

### jClampTolPanel

    javax.swing.JPanel jClampTolPanel

### jClampTolLabel

    javax.swing.JLabel jClampTolLabel

### jClampTolRPanel

    javax.swing.JPanel jClampTolRPanel

### jClampTolTF

    javax.swing.JTextField jClampTolTF

### jClampTolLabel2

    javax.swing.JLabel jClampTolLabel2

### jRPostProcPanel

    javax.swing.JPanel jRPostProcPanel

### data

    s2iData data

### prevInputNd

    java.lang.StringBuffer prevInputNd

### prevEnableNd

    java.lang.StringBuffer prevEnableNd

### prevSimTime

    java.lang.StringBuffer prevSimTime

### prevRiseTime

    java.lang.StringBuffer prevRiseTime

### prevFallTime

    java.lang.StringBuffer prevFallTime

### prevVil

    java.lang.StringBuffer prevVil

### prevVih

    java.lang.StringBuffer prevVih

### prevLoThreshTyp

    java.lang.StringBuffer prevLoThreshTyp

### prevHiThreshTyp

    java.lang.StringBuffer prevHiThreshTyp

### prevActiveHigh

    java.lang.StringBuffer prevActiveHigh

### prevNonInvert

    java.lang.StringBuffer prevNonInvert

Constructor Detail

### s2iTransOptions

    public s2iTransOptions()

### s2iTransOptions

    public s2iTransOptions(java.lang.String sTitle)

### s2iTransOptions

    public s2iTransOptions(java.awt.Component parent)

  Constructor with a specified parent window.

Method Detail

### setVisible

    public void setVisible(boolean b)

  Overrides:
    setVisible in class java.awt.Component

### main

    public static void main(java.lang.String[] args)

### addNotify

    public void addNotify()

  Overrides:
    addNotify in class java.awt.Dialog

### JDialog1_WindowClosing

    void JDialog1_WindowClosing(java.awt.event.WindowEvent event)

### createTreeData

    void createTreeData(javax.swing.tree.DefaultMutableTreeNode top)

### getUIValues

    void getUIValues(s2iData data)

### FillUIValues

    void FillUIValues(s2iData data)

### importFile

    void importFile(java.lang.String fileName)

### jImportButton_actionPerformed

    void jImportButton_actionPerformed(java.awt.event.ActionEvent event)

### jCancel_actionPerformed

    void jCancel_actionPerformed(java.awt.event.ActionEvent event)

### jOK_actionPerformed

    void jOK_actionPerformed(java.awt.event.ActionEvent event)

### comboDisable

    private void comboDisable(javax.swing.JComboBox cb,
                              java.lang.StringBuffer bakup)

### comboEnable

    private void comboEnable(javax.swing.JComboBox cb,
                             java.lang.StringBuffer bakup)

### textFieldDisable

    private void textFieldDisable(javax.swing.JTextField tf,
                                  java.lang.StringBuffer bakup)

### textFieldEnable

    private void textFieldEnable(javax.swing.JTextField tf,
                                 java.lang.StringBuffer bakup)

### checkBoxDisable

    private void checkBoxDisable(javax.swing.JCheckBox chb,
                                 java.lang.StringBuffer bakup)

### checkBoxEnable

    private void checkBoxEnable(javax.swing.JCheckBox chb,
                                java.lang.StringBuffer bakup)

### OnBufTypeSelection

    private void OnBufTypeSelection()

### jBufTypeCB_actionPerformed

    void jBufTypeCB_actionPerformed(java.awt.event.ActionEvent event)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD